# Instruction on running utilities

## c_toolchain utility docker image

Dockerfile: `dockerfile.c_toolchain`
Run the docker-compose command to get a `bash` shell that is bound to the `dmzOS` directory:
```bash
docker-compose run --rm c_toolchain
```

Any changes in the container shell will be reflected in the local `dmzOS` directory.

The image contains `ident` abd `clang-format` as `C` code formatters. A .vimrc file is automatically part of the image, and it contains a rule to make vim run the following formatting command on buffer save:
```bash
ident -kr -ts4 %
```

This is using the Kernighan and Ritchie code styling, as well as identations with 4 spaces.
